; Filename: hello.asm
; Author: ECE 353 Staff
; Description: 'Hello, World' source for TASM tutorial
;
assume cs:code, ds:data
;
data    segment public                  ; begin data segment
hello   db 'Hello, World',13,10,'$'     ; defines a string at label "hello"
data    ends                            ; end of data segment

code    segment public                  ; begin code segment
start:
        mov AX, data                   ; moves the segment address into AX
        mov DS, AX                      ; moves AX to the segment register
        mov AH, 9                       ; specifies which DOS function to call
        mov DX, offset hello            ; puts the address of the string in DX
        int 21H                         ; software interrupt to DOS
        mov AH, 4CH                     ; specifies the program exit function
        int 21H                         ; software interrupt to DOS
code    ends                            ; end of code segment
;
end     start                           ; set code entry point to 'start'
;


