; Filename:    main.asm
; Author:      ECE 353 Staff
; Description: Sample demo for using TASM

        .186                            ; generate 80186 code

assume  cs:code, ds:data, ss:stck

extrn   strchr:PROC                     ; not defined in this file

stck    segment private                 ; start of stack segment
	     db    512 dup (?)               ; allocate stack space
tos     label word
stck    ends

data    segment public                  ; begin data segment
char    db   'a'
str1    db   "This is a test!", 0
data    ends                            ; end of data segment

code    segment public                  ; begin code segment

; code entry point
main    proc
        mov  ax, data                   ; DS addressability
        mov  ds, ax
        mov  ax, stck                   ; SS addressability
        mov  ss, ax
        mov  sp, offset TOS             ; initialize stack pointer
        mov  di, offset str1            ; string to search in
        mov  al, char                   ; character to search for
        call strchr                     ; perform search
        cmp  ax, 0                      ; was it found?
;
stall_loop:
        jmp  stall_loop                 ; and loop forever
main    endp                            ; end of main procedure
;
code    ends                            ; end of code segment
;
end     main                            ; set code entry point to 'main'
